Search documentation of bb

# BB.Command.Disarm (bb v0.17.0)

Copy Markdown View Source

Standard command handler for disarming a robot.

When executed from the `:idle` state, this command disarms the robot via `BB.Safety.Controller`, which calls all registered `BB.Safety.disarm/1` callbacks to ensure hardware is made safe.

## Usage

Add to your robot's command definitions:

    commands do
      command :disarm do
        handler BB.Command.Disarm
        allowed_states [:idle]
      end
    end

Then execute:

    {:ok, cmd} = MyRobot.disarm()
    {:ok, :disarmed} = BB.Command.await(cmd)